вторник, 24 июля 2018 г.

Закупки - установка рабочего места (44-ФЗ)

С 1 июля 2018 запустилась версия 8.2 портала ЕИС... И начались проблемы с подключением и подписанием. У нас это выражалось в несрабатывании плагинов КриптоПро на страницах портала 44-ФЗ и 223-ФЗ. Причём не работало только на ГосЗакупках, все остальные порталы (СУФД, Электронный бюджет, БасГовРу и т.д.) после танцев с бубном и реестром удачно запустились.

Как выяснилось проблемы со входом и подписанием документов возникают в Internet Explorer версии 10. Качаем версию 11, например на сайте ⇨ Яндекса. Там встроено немного софта от Яндекса, но всё без проблем можно отключить. Текущая версия сборки: 11.0.9600.18059IS (KB3093983). #закупки #zakupki #подпись #не работает #ошибка #sign

На всякий случай залил все необходимые файлы для АРМ ⇨ сюда. Так будет проще, а то вдруг несовместимость версий. Далее качайте оттуда, чтобы не искать по интернету.
  1. Ставим Internet Explorer 11.0.9600.18059IS, если стоит версия IE 10.
  2. Ставим КриптоПро CSP 4.0.9944 в конфигурации "КС1" без всяких усиленных проверок ключей, потому как, нечем проверять. Корневые сертификаты сайта ставим в хранилища "по умолчанию". 
  3. КриптоПро ЭЦП Browser plug-in 2.0.13292 ставим по инструкции с сайта ГосЗакупок (версия документа 1.0).
  4. Далее ставим ЛАНИТ (Компонент формирования подписи sign.cab).
  5. Настраиваем Internet Explorer 11 по инструкции с ГосЗакупок (версия документа 2.3). Только сначала сбрасываем браузер по пунктам 1.2.5 - 1.2.6, а потом приступаем к настройке по пунктам 1.2.1 - 1.2.4, 1.2.7. Особое внимание уделяем пункту 1.2.11, из-за его несоблюдения не происходит вход в Личный кабинет.
Иногда при успешной работе в Личном кабинете можно получить отказ сайта "403 Forbidden", это означает, что Ваш IP забанили. Можно подождать минут 15-20, или воспользоваться утилитой SafeIP 2.0.0.2616. Эта штука что-то вроде FreeGate для Internet Explorer. Ну,.. как-то так.

UPD от 11.08.2018: По поводу пункта инструкции 1.2.11... При установке Exlorera он успевает хватануть обновление и "Средства разработчика" сильно изменены. Теперь нельзя выбрать, какой версией браузера прикидываться. Далее просто накидаю картинок:






Комментарии

comments powered by HyperComments